<?php

namespace App\Core\Validator\PropertyRoomRateMapping;

use Illuminate\Contracts\Container\Container;
use Illuminate\Contracts\Translation\Translator;

use App\Core\Validator\BaseValidator;

use Exception;

class PropertyRoomRateMappingUpdateValidator extends BaseValidator
{


    public function __construct
    (

        Translator $translator,
        Container $container
    )
    {
        parent::__construct($translator, $container);

    }

    public function rules($params = null)
    {
        return
            [
                'id' => 'required|numeric',
                'room_id' => 'required|numeric',
                'room_rate_id' => 'required|numeric',
                'description' => 'required',
                'rack_rate' => 'required|numeric',
                'included_occupancy' => 'required|numeric',
            ];


    }

    public function messages()
    {
        $thisMessages = [];
        return array_merge(parent::messages() , $thisMessages);
    }



    public function validate(array $params, array $rules = [], array $messages = [], array $customAttributes = [])
    {
        return $this->make($params, $this->rules($params), $this->messages());
    }

}
